| Home | Libraries | People | FAQ | More

##### as_deque

###### Description

Convert a fusion sequence to a `deque`.

###### Synopsis

    template <typename Sequence>
    typename result_of::as_deque<Sequence>::type
    as_deque(Sequence& seq);

    template <typename Sequence>
    typename result_of::as_deque<Sequence const>::type
    as_deque(Sequence const& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`seq` | An instance of Sequence | The sequence to convert.

###### Expression Semantics

    as_deque(seq);

Return type: __result_of_as_deque__`<Sequence>::type`

Semantics: Convert a fusion sequence, `seq`, to a `deque`.

###### Header

    #include <boost/fusion/container/deque/convert.hpp>
    #include <boost/fusion/include/as_deque.hpp>

###### Example

    as_deque(make_vector('x', 123, "hello"))